/*MAIN COLORS USED 
Blue: #003399
Green: #006633
White: #fff

Hover: #a5a5a5
*/

@font-face{
    src: url(fonts/interstate-plus-5.otf);
    font-family: InterstatePlus;
}

html {
    scroll-behavior: smooth;
}
body{
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	background-color: #fff;
	overflow-x: hidden;
}
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: Calibri, 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', sans-serif
}
ul{
	display: flex;
	justify-content: space-between;
	list-style: none;
}
a{
	display: block;
	text-decoration: none;
	font-size: 1.2em;
	transition: .3s;
}
a:visited {
	color: #fff;
}
main{
	margin: auto;
	width: 90%;
	height: 100%;
	background-color: #fff;
	flex: 1;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/*MENU*/
header{
	position: relative;
	width: 100%;
	box-shadow: 0 -6px 10px 5px rgba(0,0,0,0.5)
}
.top{
	background: #003399;
	padding: 20px 0;
}
.container{
	position: relative;
	max-width: 960px;
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.top ul li{
	margin-right: 15px;
}
.top ul li a{
	color: #fff;
}
.top ul li a:hover{
	color: #222;
}
nav{
	background: #003399;
	position: relative;
	padding: 15px 0;
	z-index: 10;
}
.logo{
	position: absolute;
	width: 150px;
	height: 150px;
	top: -60px;
	left: 35%;
}
nav ul{
	width: 100%;
	transition: .3s;
}
nav ul li:nth-child(4){
	margin-left: 250px;
}
nav ul li a{
	color: rgb(255, 255, 255);
	font-weight: bold;
}
nav ul li a:hover{
	color: #a5a5a5;
}
#menu{
	display: none;
}
label{
	color: #fff;
	font-size: 1.2em;
	padding: 15px 0;
	display: none;
}
@media (max-width: 960px){
	label{
		display: block;
	}
	.container{
		padding: 0 40px;
	}
	.social li:nth-child(1),
	.social li:nth-child(2){
		display: none;
	}
	.logo{
		left: 38%;
		top: -40px;
	}
	.logo img{
		width: 150px;
	}
	nav{
		padding: 0;
	}
	nav ul{
		position: absolute;
		top: 50px;
		left: -100%;
		background: #003399;
		flex-direction: column;
		align-items: center;
		justify-content: flex-start;
		width: 100%;
		height: 100vh;
	}
	#menu:checked ~ ul{
		left: 0;
	}
	nav ul li{
		margin: 0 !important;
		width: 100%;
	}
	nav ul li a{
		padding: 15px 0;
		margin: 10px 0;
		text-align: center;
	}
	nav ul li a:hover{
		background: #08306d;
	}
}
@media (max-width: 460px){
	.logo{
		top: -30px;
	}
	.logo img{
		width: 100px;
	}
}

/* Banner*/
*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
  }
.container-banner img{
	max-width: 100%;
	border: none;
  }
  .caption{
	position: absolute;
	top:50%;
	left:8rem;
	z-index: 9;
	transform: translateY(-50%);
	opacity:0;
	transition: 500ms ease opacity, 500ms ease transform;
	transform: translateY(60px);
	&.current-caption{
	  transition-delay: 1000ms;
	  opacity:1;
	  transform: translateY(0);
	}
	&.previous-caption{
	  transform: translateY(-60px);
	}
	.caption-heading{
	  transition: 500ms ease-in all;
	}
	.caption-heading h1{
	  color: #fff;
	  font-style: oblique;
	  font-size: 4rem;
	  margin-bottom:1.5rem;
	  text-transform: uppercase;
	  text-indent: -0.2rem;
	  letter-spacing: .2rem;
	  font-weight: 500;
	  
	}
/* 	.caption-subhead{
	  font-size:1rem;
	  font-weight: 300;
	  text-transform: uppercase;
	  color: white;
	  letter-spacing: 4px;
	  word-spacing: .1rem;
	  margin-bottom: 2.5rem;
	  display:block;
	} */
/* 	a.btn{
	  color: #333;
	  font-size: 0.8rem;
	  text-decoration: none;
	  background-color: white;
	  padding: .5rem 1rem;
	  text-transform: uppercase;
	  letter-spacing: .2rem;
	  position:relative;
	  z-index:9;
	  transition: 250ms ease-in background-color, 500ms ease-in color;
	  &:hover{
		background-color: black;
		color: white;
	  }
	} */
  }
  .container-banner{ 
	width:100%;
	height: 80vh;
	display:flex;
	position: relative;
	
  }
  .left-col, .right-col{
	width: 100%;
	box-sizing: border-box;
	height: calc(100% 0rem);
	overflow:hidden;
  }
  .left-col{
	background-size: cover;
	background-position: center top;
	overflow: hidden;
	margin: 0rem;
	position: relative;
	.slide{
	  position:absolute;
	  width: 100%;
	  height: 100%;
	  background-position:  left top !important;
	  background-size: cover !important;
	  background-repeat:no-repeat;
	  opacity:0;
	  transition: 1000ms cubic-bezier(1.000, 0.040, 0.355, 1.000) transform, 1000ms cubic-bezier(0.680, -0.550, 0.265, 1.550) clip-path;
	  transform:translateY(-100%); scale: 1;
	  z-index: -1;
	 
	  &.previous{
		z-index:1;
		opacity:1;
		transform: translateY(0);
		animation-delay: 1s;
		clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
		transition:3s ease transform;
		will-change: transform;
  
		&.change{
		  transform: translateY(50%);
		}
	  }
	  &.next{
		transform: translateY(-100%);
		z-index:3;
		opacity:1;
		clip-path: polygon(0 0, 100% 0, 100% 90%, 0% 100%);
	  }
	  &.current{
		opacity:1;
		 transform:translateY(0) scale(1.25);
		z-index:2;
		  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
	  }
	  
	}
  }
  .right-col{
	display:flex;
	align-items: center;
	justify-content: center;
  }
  .right-col .preview{
	max-width:400px;
	
  }
  
  .nav{
	display: block;
	position:absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 6;
	overflow: hidden;
	/* // pointer-events:none; */
	a{
	  color: rgba(250,250,250,1);
	  font-size: 3rem;
	  text-shadow: 1px 1px 4px rgba(0,0,0,0.4);
	}
	&:hover{
	  
	  .slide-up, .slide-down{
		opacity: .5;
		transform: translateX(0);
	  }
	}
	.slide-up, .slide-down{
	  display:block;
	  position:absolute;
	  /* // width:100%; */
		text-align:center;
	  padding:1rem;
	  opacity: 0;
	  transition: .25s ease opacity,.25s ease transform;
	  z-index:99;
	  &:hover{
		opacity: 1;
	  }
	  a{
		text-decoration:none;
		font-weight: 300 !important;
  
	  }
	  
	}
	.slide-up{
	  top:50%;
	  left:0;
	  transform: translateX(-100%);
	}
	.slide-down{
	  top:50%;
	  right:0;
	  transform: translateX(100%);
	}
	
}
  
/* MAIN CONTENT*/
/* split text blocks 50/50 using column class */
.column5 {
    float: left;
    width: 50%;
}
.column5 img{
    width: 80%;
    display: block;
    padding-top: 2%;
    padding-left: 10%;
}

.row:after {
    content: "";
    display: table;
    clear: both;
}
@media screen and (max-width: 600px) {
    .column5 {
        width: 100%;
    }
}
section{
    margin: 2%;
} 
.column5 button{
    background-color: #006633;
    color: #ffffff;
    font-size: 20px;
    padding: 12px 24px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    text-shadow: 1px 1px 1px #014221;
    display: block;
    margin-top: 4px;
}
.column5 button:hover{
    background-color: #014221;
}


/*FOOTER*/
.footer {
	background-color: #003399;
	width: 100%;
	text-align: left;
	font-family: sans-serif;
	font-weight: bold;
	font-size: 16px;
	padding: 50px;
	margin-top: 0px;
	flex-shrink: 0;
}
  
  .footer .footer-left,
  .footer .footer-center,
  .footer .footer-right {
	display: inline-block;
	vertical-align: top;
  }
  
  
  /* footer left*/
.footer .footer-left {
	width: 33%;
	padding-right: 15px;
}
  
.footer .about {
	line-height: 20px;
	color: #ffffff;
	font-size: 13px;
	font-weight: normal;
	margin: 0;
}
  
.footer .about span {
	display: block;
	color: #ffffff;
	font-size: 14px;
	font-weight: bold;
	margin-bottom: 20px;
}
  
.footer .icons {
	margin-top: 25px;
}
  
.footer .icons a {
	display: inline-block;
	width: 35px;
	height: 35px;
	cursor: pointer;
	background-color: #33383b;
	border-radius: 2px;
	font-size: 20px;
	color: #ffffff;
	text-align: center;
	line-height: 35px;
	margin-right: 3px;
	margin-bottom: 5px;
}

.footer .icons a span{
	font-size: 14px;
}
  
  
/* footer center*/
.footer .footer-center {
	width: 30%;
}
  
.footer .footer-center i {
	background-color: #33383b;
	color: #ffffff;
	font-size: 25px;
	width: 38px;
	height: 38px;
	border-radius: 50%;
	text-align: center;
	line-height: 42px;
	margin: 10px 15px;
	vertical-align: middle;
}
  
.footer .footer-center p {
	display: inline-block;
	color: #ffffff;
	vertical-align: middle;
	margin: 0;
}
  
.footer .footer-center p span {
	display: block;
	font-weight: normal;
	font-size: 14px;
	line-height: 2;
}
  
.footer .footer-center p a {
	color: #ffffff;
	text-decoration: none;
	font-size: 14px;
}
  
  
/* footer right*/
.footer .footer-right {
	width: 35%;
}
  
.footer h2 {
	color: #ffffff;
	font-size: 36px;
	font-weight: normal;
	margin: 0;
}
  
.footer h2 span {
	color: #0099ff;
}
  
.footer .menu {
	color: #ffffff;
	margin: 20px 0 12px;
	padding: 0;
}
  
.footer .menu a {
	display: inline-block;
	line-height: 1.8;
	text-decoration: none;
	color: inherit;
}
  
.footer .menu a:hover {
	color: #a5a5a5;
}
  
@media (max-width: 767px) {
	.footer {
	  font-size: 14px;
	}
	.footer .footer-left,
	.footer .footer-center,
	.footer .footer-right {
	  display: block;
	  width: 100%;
	  margin-bottom: 40px;
	  text-align: center;
	}
	.footer .footer-center i {
	  margin-left: 0;
	}
}

/* Adjustments for tablet screens */
@media (max-width: 1024px) {
	.container-banner {
	  height: 80vh; /* Reduce the height of the banner */
	}
	.caption-heading h1 {
		font-size: 2.5rem; /* Adjust font size as needed */
		word-wrap: break-word; /* Ensures that long words are broken and wrapped to the next line */
		hyphens: auto; /* Automatically add hyphens where appropriate */
	}
	/* ... other adjustments ... */
  }
  
  /* Adjustments for smaller tablet screens */
  @media (max-width: 768px) {
	.container-banner {
	  height: 70vh;
	}
	.caption-heading h1 {
		font-size: 2rem;
		word-wrap: break-word;
		hyphens: auto;
	}
	/* ... other adjustments ... */
  }
  
  /* Adjustments for large mobile screens */
  @media (max-width: 600px) {
	.container-banner {
	  height: 60vh;
	}
	.caption-heading h1 {
		font-size: 1.5rem;
		word-wrap: break-word;
		hyphens: auto;
	}
	/* ... other adjustments ... */
  }
  
  /* Adjustments for small mobile screens */
  @media (max-width: 480px) {
	.container-banner {
	  height: 50vh;
	}
	.caption-heading h1 {
		font-size: 1.25rem;
		line-height: 1.2; /* Adjust line height for better readability */
		word-wrap: break-word;
		hyphens: auto;
	}
	.caption {
	  left: 4%; /* Adjust left position for smaller screens */
	  right: 4%; /* Adjust right position for better readability */
	  top: 40%; /* Change 'top' based on new height */
	  transform: translateY(-40%); /* Adjust transform to match new 'top' value */
	}
	.btn {
	  /* Resize or reposition your "Read More" button accordingly */
	  padding: 10px 20px;
	  font-size: 0.8rem;
	}
  }
  
  /* Optional: Adjustments for very small mobile screens */
  @media (max-width: 320px) {
	.container-banner {
	  height: 40vh;
	}
	.caption-heading h1 {
		font-size: 1rem; /* Even smaller font size for very small screens */
		line-height: 1.2;
		word-wrap: break-word;
		hyphens: auto;
	}
	/* You might need to adjust line-height as well for better text spacing */
	.caption-heading h1 {
	  line-height: 1.2;
	}
	/* ... other adjustments ... */
  }
  
